import { __decorate } from "tslib";
import { customElement, FASTElement, observable } from '@microsoft/fast-element';
import { EventName } from '../../types';
import { applyStyleChanges } from '../../utils/utils';
import { TypographyStyles as styles } from './typography-tokens.styles';
import { TypographyTemplate as template } from './typography-tokens.template';
let TypographyTokens = class TypographyTokens extends FASTElement {
    connectedCallback() {
        super.connectedCallback();
        document.body.addEventListener(EventName.STYLES_CHANGED, (e) => {
            const detail = e.detail;
            applyStyleChanges(detail, this.provider);
        });
    }
};
__decorate([
    observable
], TypographyTokens.prototype, "provider", void 0);
TypographyTokens = __decorate([
    customElement({
        name: 'typography-tokens',
        template,
        styles,
    })
], TypographyTokens);
export { TypographyTokens };
